Bug 779178 - (SOA-1573) XsltAction - non-well formed XML message is silently transformed to empty string
XsltAction - non-well formed XML message is silently transformed to empty string
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA,5.0.0 ER6
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-29 04:22 EDT by Jiri Pechanec
Modified: 2010-01-05 03:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 03:49:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xslt.zip (50.52 KB, application/zip)
2009-12-04 03:38 EST, Jiri Pechanec
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1573 None None None Never

  None (edit)
Description Jiri Pechanec 2009-10-29 04:22:39 EDT
Date of First Response: 2009-12-02 05:41:06
project_key: SOA

I ma not sure what should be correct behavior of this test case. If I send the non-wellformed message to XxsltAction then there is a message written into log
09:18:49,541 ERROR [STDERR] SystemId Unknown; Line #2; Column #10; The end-tag for element type "catalog" must end with a '>' delimiter.
and the pipeline processing continues with empty String.

I am not sure that this is a correct behavior.
Comment 1 trev 2009-12-02 05:41:06 EST
Jirka, can you provide an example please
Comment 2 Jiri Pechanec 2009-12-04 03:38:27 EST
Run ant valid to see valid transformation
Run ant invalid to see the transformation of non-wellformed XML  file
Log contains message
09:35:03,711 ERROR [STDERR] SystemId Unknown; Line #2; Column #10; The end-tag for element type "catalog" must end with a '>' delimiter.
But no exception is throws and processing is finished with empty string as output of transformation
Comment 3 Jiri Pechanec 2009-12-04 03:38:27 EST
Attachment: Added: xslt.zip
Comment 4 Kevin Conner 2009-12-07 06:06:44 EST
Link: Added: This issue depends JBESB-3036
Comment 5 David Ward 2009-12-16 14:40:30 EST
Please re-test now that JBESB-3036 has been closed according to process.  Thank you.
Comment 6 Jiri Pechanec 2010-01-05 03:49:33 EST
Verified in ER6

Note You need to log in before you can comment on or make changes to this bug.